{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.spinosaurus.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"eating": "query.is_eating"
						},
						{
							"sit": "query.is_sitting"
						},
						{
							"look_at_target": "!query.is_sitting"
						},
						{
							"turn_angle": "!query.is_sitting"
						},
						"setup"
					],
					"transitions": [
						{
							"roaring": "query.is_roaring && !query.can_fly"
						},
						{
							"attacking": "query.is_delayed_attacking"
						},
						{
							"aoeattack": "query.is_roaring && query.can_fly"
						}
					],
					"blend_transition": 0.5
				},
				"roaring": {
					"animations": [
						
						{
							"roar": "query.is_alive"
						},
						"setup"
					],
					"transitions": [
						{
							"default": "!query.is_roaring"
						},
						{
							"attacking": "query.is_delayed_attacking"
						},
						{
							"aoeattack": "query.can_fly"
						}
					],
					"blend_transition": 0.5
				},
				"aoeattack": {
					"animations": [
						
						{
							"aoeattack": "query.is_alive"
						},
						"setup"
					],
					"transitions": [
						{
							"default": "!query.is_roaring"
						},
						{
							"attacking": "query.is_delayed_attacking"
						}
					],
					"blend_transition": 0.5
				},
				"attacking": {
					"animations": [
						{
							"attack": "query.is_alive"
						},
						{
							"look_at_target": "!query.is_sitting"
						},
						{
							"turn_angle": "!query.is_sitting"
						},
						"setup"
					],
					"transitions": [
						{
							"roaring": "query.is_roaring && !query.can_fly"
						},
						{
							"default": "!query.is_delayed_attacking"
						},
						{
							"aoeattack": "query.is_roaring && query.can_fly"
						}
					],
					"blend_transition": 0.5
				}
			}
		},
		"controller.animation.spinosaurus.move": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						{
							"idle": "!query.is_sitting && !query.is_in_water && !query.has_rider"
						},
						{
							"idle_mounted": "!query.is_sitting && !query.is_in_water && query.has_rider"
						},
						{
							"idle_swim": "!query.is_on_ground && !query.is_sitting && query.is_in_water"
						},
						{
							"idle_swim_ground": "query.is_on_ground && !query.is_sitting && query.is_in_water"
						}
					],
					"transitions": [
						{
							"moving": "variable.moving && !query.is_playing_dead"
						}
					],
					"blend_transition": 1
				},
				"moving": {
					"animations": [
						{
							"walk": "!query.is_sitting && !query.is_in_water"
						},
						{
							"swim": "!query.is_on_ground && !query.is_sitting && query.is_in_water"
						},
						{
							"swim_ground": "query.is_on_ground && !query.is_sitting && query.is_in_water"
						}
					],
					"transitions": [
						{
							"idle": "!variable.moving || query.is_playing_dead"
						}
					],
					"blend_transition": 1
				}
			}
		}
	}
}